%define name gdesklets
%define version 0.22
%define release 1mdk
%define oname gDesklets

Summary: GNOME Desktop Applets
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%oname/%version/%oname-%{version}.tar.bz2
Source1: %name-32.png
Source2: %name-16.png
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.sourceforge.net/projects/gdesklets
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python
BuildRequires: gtk2-devel
Requires: gnome-python gnome-python-gconf
Requires: gdesklets-display
Obsoletes: gdesklets-starter-kit gdesklets-externalsensor
Provides: gdesklets-externalsensor

%description
'gDesklets' provides an advanced architecture for desktop applets -
tiny displays sitting on your desktop in a symbiotic relationship of
eye candy and usefulness.

Populate your desktop with status meters, icon bars, weather sensors,
news tickers... whatever you can imagine! Virtually anything is
possible and maybe even available some day.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#fix broken symlinks caused by the DESTDIR
ln -fs %_datadir/pixmaps/gdesklets.png %buildroot%_datadir/gdesklets/data
ln -fs %_datadir/gdesklets/gdesklets %buildroot/%_bindir
mkdir %buildroot%_datadir/gdesklets/Displays

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="gdesklets" \
		icon=%{name}.png \
		needs="x11" \
		section="Applications/Monitoring" \
		title="Gdesklets"\
		startup_notify="yes"\
		longtitle="Put applets on your GNOME desktop"
EOF

install -d %buildroot%_liconsdir
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir
install -D %SOURCE1 %buildroot%_iconsdir/%name.png
install -D %SOURCE2 %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS  ChangeLog  COPYING  INSTALL  NEWS  README  TODO
%_bindir/%name
%_libdir/pkgconfig/gdesklets-core.pc
%_datadir/application-registry/gdesklets.applications
%_datadir/applications/gdesklets.desktop
%dir %_datadir/gdesklets/
%_datadir/gdesklets/config
%_datadir/gdesklets/data
%_datadir/gdesklets/desktop
%_datadir/gdesklets/display
%_datadir/gdesklets/factory
%_datadir/gdesklets/gdesklets
%_datadir/gdesklets/libdesklets
%_datadir/gdesklets/Displays
%_datadir/gdesklets/Sensors
%dir %_datadir/gdesklets/locale
%lang(ar) %_datadir/gdesklets/locale/ar
%lang(de) %_datadir/gdesklets/locale/de
%lang(es) %_datadir/gdesklets/locale/es
%lang(fr) %_datadir/gdesklets/locale/fr
%lang(he) %_datadir/gdesklets/locale/he
%lang(nl) %_datadir/gdesklets/locale/nl
%lang(pl) %_datadir/gdesklets/locale/pl
%lang(pt) %_datadir/gdesklets/locale/pt
%lang(sq) %_datadir/gdesklets/locale/sq
%lang(sr) %_datadir/gdesklets/locale/sr
%lang(sr@Latn) %_datadir/gdesklets/locale/sr@Latn
%lang(sv) %_datadir/gdesklets/locale/sv
%lang(tr) %_datadir/gdesklets/locale/tr
%_datadir/gdesklets/main
%_datadir/gdesklets/sensor
%_datadir/gdesklets/utils
%_datadir/mime-info/gdesklets.keys
%_datadir/mime-info/gdesklets.mime
%_datadir/pixmaps/gdesklets.png
%_datadir/icons/gnome/48x48/mimetypes/x-gdesklets-display.png
%_mandir/man1/gdesklets.1*
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Sep 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- add new translation file
- new version

* Mon Sep 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-1mdk
- new version

* Fri Sep 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21.1-1mdk
- new version 

* Fri Sep 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21-2mdk
- fix buildrequires

* Thu Sep 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21-1mdk
- obsolete gdesklets-externalsensor
- add missing files
- new version

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.20-1mdk
- add new files
- drop the patch, it's not needed anymore 
- new version

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13-3mdk
- try to fix the changelog

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13-2mdk
- obsolete gdesklets-starter-kit
- arrgh, fix the patch

* Mon Aug 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13-1mdk
- add missing files
- put back the icon patch
- new version

* Fri Aug 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-3mdk
- fix icon in the mime type

* Sat Aug 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-2mdk
- requires virtual package gdesklets-sensor
- add Displays and Sensors dirs to the package
- add a menu entry

* Wed Aug 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- initial package

